Login Registre-se
NFeDistribuicaoDFe com axis2-adb-1.5.3.jar  XML
Índice dos Fóruns » NF-e / NFS-e / CT-e / CF-e / Certificados Digitais
Autor Mensagem
sergioperalta

JavaC Membro

Membro desde: 26/03/2013 21:58:04
Mensagens: 5
Offline

Pessoal,

Boa tarde.

Fiz o download do NFeDistribuicaoDFe.jar e adicionei a minha aplicação, mas o mesmo só funciona com o axis2-adb-1.6.2.jar.

O problema é que colocando o axis2-adb-1.6.2.jar os outros serviços que funcionam com o axis2-adb-1.5.3.jar param de funcionar(Exemplo RecepcaoEvento, NfeDownloadNF e etc...).

Alguém já teve esse problema ?

um abraço
jeroqueiroz

Moderador
[Avatar]

Membro desde: 11/06/2011 09:45:18
Mensagens: 1346
Localização: Bahia
Offline

Este é um problema de compatibilidade de LIBS.. As funcionalidades provavelmente foram desenvolvidas com versões diferentes então sugiro que atualize para a versão mais recente, porém terá que testar tudo novamente.

Jeremias Santos
Seguir no Twitter @jeroqueiroz
Blog Jeroqueiroz


Projeto NF-e, CT-e, CC-e? Comece Por Aqui!


Membros do fórum,

Usem a tag [code] e [/code] quando postarem Códigos Java e ou exemplos de XMLs.
Evitem tópicos duplicados.
Tópico solucionado? Edite o primeiro post e coloque [RESOLVIDO] no final do título.
Evitem reviver tópicos antigos.

O tópico resolveu seu problema? Seja gentil, comente e ou agradeça quem contribuiu com a solução.

Obrigado!
[Email] [WWW] [Yahoo!] [MSN]
sergioperalta

JavaC Membro

Membro desde: 26/03/2013 21:58:04
Mensagens: 5
Offline

Jero,

Obrigado pela resposta.

Você tem o caminho as libs atualizadas por favor ?

jeroqueiroz

Moderador
[Avatar]

Membro desde: 11/06/2011 09:45:18
Mensagens: 1346
Localização: Bahia
Offline

Não tenho porque fazer algum tempo que não to com NF-e, mas quando fiz alguns projetos tive problemas de incompatibilidade de libs que causa este tipo de problema então eu sair modificando as libs no projeto e deixando 1 versão de cada lib sendo elas a mais nova de cada uma que já constava no projeto, desta forma resolvi meu problema. Deu um pouco de trabalho mas resolvi.

Jeremias Santos
Seguir no Twitter @jeroqueiroz
Blog Jeroqueiroz


Projeto NF-e, CT-e, CC-e? Comece Por Aqui!


Membros do fórum,

Usem a tag [code] e [/code] quando postarem Códigos Java e ou exemplos de XMLs.
Evitem tópicos duplicados.
Tópico solucionado? Edite o primeiro post e coloque [RESOLVIDO] no final do título.
Evitem reviver tópicos antigos.

O tópico resolveu seu problema? Seja gentil, comente e ou agradeça quem contribuiu com a solução.

Obrigado!
[Email] [WWW] [Yahoo!] [MSN]
sergioperalta

JavaC Membro

Membro desde: 26/03/2013 21:58:04
Mensagens: 5
Offline

Entendi...

O problema é exatamente quando atualizo essa lib, notei que nela não existem mais alguns métodos.
tiagoberga

Moderador
[Avatar]

Membro desde: 11/03/2014 10:10:20
Mensagens: 441
Offline

sergioperalta, vocÊ está com um problema sério meu caro, desculpe colocar medo ja de início... rsrs
mas como tudo, há uma solução...

certamente a primeira soluçao, seria dito pra voce atualizar as libs de 1.5.3 para 1.6.2, obvio rsrs, porém disse que não somente a NF-e, mas outras coisas dependem da 1.5.3 certo?
o seu caso então, fica engessado em utilizar esta versão 1.5.3, porém os arquivos aqui encontrados -> (JavaC) são com vesão 1.6.2.

Solução1: Gerar todos os arquivos wsdl para versão 1.5.3
Solução2: Atualizar lib para 1.6.2 e atualizar as tuas outras funcionalidades

Não defendendo a NF-e nem os arquivos do fórum, mas eu optaria pela segunda opção.


CASO voce opte pela primeira, eu ja tenho a lista de todos os arquivos wsdl, voce so precisa gerar os stubs com a versão 1.5.3


Att,

Tiago Bergamasco, 24 anos

Computer Scientist pela Centro Universitário Anhanguera
MBA Service-Oriented Architeture (SOA) pela Metrocamp - Ibmec
AngularJS Developer pela Caelum Ensino e Inovação- SP

Ao entrar em contato, por favor identifique-se antes
Site: Arara Tecnologia da Informação
Contatos: Google+, Twitter, Instagram, LinkedIn, Facebook, tiago.bergamasco@gmail.com
Comercial: 19 996050532

"Uma imagem vale mil palavras. Uma interface vale mil imagens." - Ben Shneiderman
[WWW]
sergioperalta

JavaC Membro

Membro desde: 26/03/2013 21:58:04
Mensagens: 5
Offline

Tiago,

Na verdade meus arquivos do JavaC estão na versão 1.5.3 o unico jar que precisa da 1.6.2 é o NFeDistribuicaoDFe.jar
 
Índice dos Fóruns » NF-e / NFS-e / CT-e / CF-e / Certificados Digitais
Ir para:   
Powered by JForum 2.1.9 © JForum Team